#
# Conditional build:
%bcond_without	apidocs	# Doxygen documentation in HTML format

Summary:	C library for portable packet creation and injection
Summary(pl.UTF-8):	Biblioteka C do przenośnego tworzenia i wprowadzania pakietów
Summary(pt_BR.UTF-8):	API para funções de rede de baixo nível
Name:		libnet
Version:	1.2
Release:	1
Epoch:		1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/libnet/libnet/releases
Source0:	https://github.com/libnet/libnet/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a36c669e0cdfda6a2aa3adfb1f6fe60a
Patch0:		%{name}-libdir.patch
Patch1:		%{name}-proc.patch
URL:		https://github.com/libnet/libnet
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libtool >= 2:2.4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Network Library provides a simple API for commonly used low-level
network functions (mainly packet injection). Using libnet, it is easy
to build and write arbitrary network packets. It provides a portable
framework for low-level network packet writing and handling (use
libnet in conjunction with libpcap and you can write some really cool
stuff). Libnet includes packet creation at the IP layer and at the
link layer as well as a host of supplementary and complementary
functionality.

%description -l pl.UTF-8
Biblioteka dostarcza API dla popularnych niskopoziomowych funkcji
sieciowych (głównie wprowadzania pakietów). Przy użyciu libnet można
łatwo stworzyć dowolne pakiety sieciowe. Biblioteka dostarcza
przenośny szkielet do niskopoziomowego zapisu i obsługi pakietów
sieciowych (w połączeniu z libpcap można napisać coś naprawdę
fajnego). Libnet obejmuje tworzenie pakietów w warstwie IP i
połączenia, a także funkcjonalność dodatkową i uzupełniającą.

%description -l pt_BR.UTF-8
Este pacote fornece uma API simples para funções de rede de baixo
nível comumente usadas (principalmente injeção de pacotes). Usando
libnet, é simples construir e enviar pacotes de rede arbitrários.

%package devel
Summary:	Header files and develpment documentation for libnet
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libnet
Summary(pt_BR.UTF-8):	Arquivos do pacote libnet para desenvolvimento
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and develpment documentation for libnet.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libnet.

%description devel -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas usadas no desenvolvimento de
aplicativos que usam libnet.

%package static
Summary:	Static libnet library
Summary(pl.UTF-8):	Biblioteka statyczna libnet
Summary(pt_BR.UTF-8):	Arquivos do pacote libnet para desenvolvimento estático
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnet library.

%description static -l pl.UTF-8
Biblioteka statyczna libnet.

%description static -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas usadas no desenvolvimento de
aplicativos estáticos que usam libnet.

%package apidocs
Summary:	API documentation for libnet
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnet
Group:		Documentation
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libnet.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnet.

%package examples
Summary:	libnet - example programs
Summary(pl.UTF-8):	libnet - programy przykładowe
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description examples
libnet - example programs.

%description examples -l pl.UTF-8
libnet - programy przykładowe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_apidocs:--disable-doxygen-html} \
	--with-link-layer=linux

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p sample/*.[ch] $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libnet.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libnet.so.*.*.*) \
        $RPM_BUILD_ROOT%{_libdir}/libnet.so

# fix man section
%{__mv} $RPM_BUILD_ROOT{%{_mandir}/man3/libnet-config.3,%{_mandir}/man1/libnet-config.1}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnet.la

%if %{with apidocs}
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libnet
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog.md LICENSE README.md doc/{MIGRATION,RAWSOCKET}.md
%attr(755,root,root) /%{_lib}/libnet.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libnet.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libnet-config
%attr(755,root,root) %{_libdir}/libnet.so
%{_includedir}/libnet.h
%{_includedir}/libnet
%{_pkgconfigdir}/libnet.pc
%{_mandir}/man1/libnet-config.1*
%{_mandir}/man3/libnet.3*
%{_mandir}/man3/libnet-functions.3*
%{_mandir}/man3/libnet-macros.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnet.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*.{css,html,js,png}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat May 23 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnet.git;a=log;h=master

* Tue Apr 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 6911ac1
- updated URLs, updated to 1.2 (new release after >7 years; soname changed)
- updated proc patch
- removed obsolete leaking-fd patch
- added libdir patch (remove -Llibdir from `libnet-config --libs`)
- .pc file added, .la file dropped

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 56028d0
- x32 rebuild
- release 2 (by relup.sh)

* Fri Apr 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 331c546
- verbose lib,man files
- unified sf URLs

* Fri Apr 20 2012 Jan Rękorajski <baggins@pld-linux.org> 8ecf55b
- really remove patches

* Fri Apr 20 2012 Jan Rękorajski <baggins@pld-linux.org> 437de0b
- 1.1.6
- packetfactory is dead, no response to email, and no bug fixing
- updated patches
- removed obsolete patches

* Fri Jan 28 2011 Jan Rękorajski <baggins@pld-linux.org> 0694c07
- rel 7
- moved library to /lib for syslog-ng

* Fri Aug 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ebce14
- rel 6; don't rely on mounted /proc

* Mon Nov 03 2008 radek <radek@pld-linux.org> 48b51b4
- release 5: leaking-fd.patch

* Mon Nov 03 2008 radek <radek@pld-linux.org> 5b49495
- do not leak file descriptors if libnet_init() called with device=NULL (libnet_ifaddrlist())

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> a136106
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dccddd4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1d706b6
- converted to UTF-8

* Sun Oct 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 3638bd5
- cleanup

* Sun Oct 23 2005 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 99a5615
- added libnet-config to devel
- rel 3

* Wed Sep 01 2004 snurf <snurf@pld-linux.org> 4b6c34b
- typos / formatting / etc.

* Fri Apr 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 25c47f5
- fixed shared patch (use LTLIBOBJS instead of LIBOBJS in shared lib); release 2

* Fri Apr 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 6175aca
- use LTLIBOBJS instead of LIBOBJS in shared lib

* Fri Apr 02 2004 Jakub Bogusz <qboosh@pld-linux.org> b74d72c
- updated to 1.1.2.1

* Fri Mar 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 8b3be3d
- updated to 1.1.2, strict internal deps

* Thu Nov 27 2003 Jakub Bogusz <qboosh@pld-linux.org> 0d9bca0
- updated summary (no longer libpwrite), enhanced pl description
- libpcap is not used on Linux

